function [M] = readDat(file)
% readDat: Used to read a dat file containing score predictions
%    Example: M = readDat('demo.val.pred.dat')
% Note: Single precision is used to store data

fid = fopen(file, 'rb');
M_dims = double(fread(fid, 2, 'single'));
M = double(fread(fid, M_dims', 'single'));
fclose(fid);